__global__ void loadVar1(int* a, const int N){
	int tid = threadIdx.x + blockIdx.x*blockDim.x;
	while (tid < N){
		a[tid] *= 2;
		tid += blockDim.x*gridDim.x;
	}
}

extern "C" void loadvar(int* a, int* b, int* c, const int N){
	cudaMalloc((void**)&b, N*sizeof(int));
	cudaMemcpy(b, a, N*sizeof(int), cudaMemcpyHostToDevice);

	loadVar1<<<256, 256>>>(b, N);

	cudaMemcpy(c, b, N*sizeof(int), cudaMemcpyDeviceToHost);
}
