#include <iostream>
#include "itkImageFileReader.h"
#include "loadVar.h"

using std::cout;

int main(void){

	typedef signed int InputPixelType;
	typedef itk::Image<InputPixelType, 3> InputImageType;
	typedef itk::ImageFileReader<InputImageType> ReaderType;
	ReaderType::Pointer reader = ReaderType::New();
	// Do something...
	// Cuda:
	int *a, *b, *c;
	const int N = 10000;
	a = new int[N];
	c = new int[N];
	for (int ii = 0; ii < N; ii++) a[ii] = ii;
	loadvar(a, b, c, N);

	for (int ii = 0; ii < 5; ii++) cout << c[ii] << "\n";

	return 0;
}
